---@meta

---@class ABP_Seatable_TruckPart_01_C : ABP_Interactable_TruckPart_01_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field PlayerAttachmentPoint USceneComponent
---@field SeatRotation double
---@field IMC UInputMappingContext
local ABP_Seatable_TruckPart_01_C = {}

---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
function ABP_Seatable_TruckPart_01_C:GetAttachedToPlayerInteractionTexts(PickedUpPlayerInteractions) end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function ABP_Seatable_TruckPart_01_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param IMC UInputMappingContext
function ABP_Seatable_TruckPart_01_C:GetSeatableIMC(IMC) end
---@param IsPickupable boolean
function ABP_Seatable_TruckPart_01_C:IsPickupable(IsPickupable) end
---@param Player ABP_FirstPersonCharacter_C
---@param BlockInteraction boolean
function ABP_Seatable_TruckPart_01_C:BlockInteraction(Player, BlockInteraction) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function ABP_Seatable_TruckPart_01_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
function ABP_Seatable_TruckPart_01_C:OnRep_SeatRotation() end
function ABP_Seatable_TruckPart_01_C:OnSeatRotationUpdated() end
---@param SeatRotation double
function ABP_Seatable_TruckPart_01_C:NotifyServer_RotateSeat(SeatRotation) end
---@param SeatRotation double
function ABP_Seatable_TruckPart_01_C:RPC_RotateSeat(SeatRotation) end
---@param Player ABP_FirstPersonCharacter_C
function ABP_Seatable_TruckPart_01_C:GetAttachedPlayer(Player) end
---@param ActionValue FInputActionValue
---@param ElapsedTime float
---@param TriggeredTime float
---@param SourceAction UInputAction
function ABP_Seatable_TruckPart_01_C:InpActEvt_IA_ExitPassengerSeat_K2Node_EnhancedInputActionEvent_0(ActionValue, ElapsedTime, TriggeredTime, SourceAction) end
---@param EntryPoint int32
function ABP_Seatable_TruckPart_01_C:ExecuteUbergraph_BP_Seatable_TruckPart_01(EntryPoint) end


